extends Node

class_name State

@export var state_id: StringName = &""

@warning_ignore("unused_signal")
signal transitioned(state: State, new_state_id: StringName)

func enter()  -> void:
	pass

func exit()  -> void:
	pass

func update(_delta)  -> void:
	pass

func physics_update(_delta)  -> void:
	pass
